Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.util
Class StringUtil

    java.lang.Object
      com.tonbeller.jpivot.util.StringUtil

    public class StringUtil

extends java.lang.Object

Author:
  hh

Constructor Summary
`StringUtil()`

Method Summary
`static java.lang.String` | `bracketsAround(java.lang.String orig)` put brackets around string, if not yet there
`static java.lang.String` | `createUName(java.lang.String[] strs, int n)` create unique name from String array
`static java.lang.String` | `dimFromUName(java.lang.String uName)` extract dimension (first part) from unique name
`static java.lang.String` | `parentFromUName(java.lang.String uName)` extract parent (all exept last part) from unique name
`static java.lang.String[]` | `splitUniqueName(java.lang.String uniqueName)` split a unique name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtil

    public StringUtil()

Method Detail

### bracketsAround

    public static java.lang.String bracketsAround(java.lang.String orig)

  put brackets around string, if not yet there

  Parameters:
    `orig` -
  Returns:
    String

### splitUniqueName

    public static java.lang.String[] splitUniqueName(java.lang.String uniqueName)

  split a unique name

  Parameters:
    `uniqueName` -
  Returns:
    the name parts without brackets

### createUName

    public static java.lang.String createUName(java.lang.String[] strs,
                                               int n)

  create unique name from String array

  Parameters:
    `strs` - - name parts
    `n` - - number of name parts, all if n <= 0
  Returns:
    unique name

### dimFromUName

    public static java.lang.String dimFromUName(java.lang.String uName)

  extract dimension (first part) from unique name

  Parameters:
    `uName` - - unique name
  Returns:
    first name part, with brackets

### parentFromUName

    public static java.lang.String parentFromUName(java.lang.String uName)

  extract parent (all exept last part) from unique name

  Parameters:
    `uName` - - unique name
  Returns:
    all name parts except last, with brackets

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD